MediaWiki:Common.css

Revision as of 11:27, 29 July 2022 by Admin (talk | contribs)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Press Ctrl-F5.
#ca-nstab-user a { background: none;}
#ca-view { display: none !important; }
#ca-talk { display:none !important; }
#footer-poweredbyico { display: none; }

:root {
    --body-main: #e2dbc8;
    --body-light: #d8ccb4;
    --body-mid: #d0bd97;
    --body-dark: #b8a282;
    --body-border: #94866d;
    --body-background-color: #c0a886;
    --button-background: #605443;
    --button-color: #fff;
    --button-border: #3c352a;
    --button-dark: #18140c;
    --button-light: #3a301d;
    --sidebar: #cfc08d;
    --background-text-color: #444;
    --background-link-color: #52351e;
    --search-box: #efeee6;
    --link-color: #936039;
    --redlink-color: #ba0000;
    --text-color: #000;
    --byline-color: #4c4c4c;
    --pearl-green: #605443;
}

.mw-body {
    background-color: var(--body-main);
    color: var(--text-color);
    border-color: transparent;
    box-shadow: 0 0 7px rgba(0, 0, 0, 0.15);
    margin-top: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--text-color);
}

#p-search{
	margin:0;
}

#simpleSearch {
    border: none;
    background: var(--search-box);
    height: 2.485em;
    margin-top: 0;
    box-shadow: inset 0 -7px 7px -7px rgb(0 0 0 / 15%);
}

.page-main_page .catlinks,#firstHeading
{
	display: none;
	background: --body-main;
}


.catlinks {
    background: var(--body-light);
    border: 1px solid var(--body-dark);
    padding: 8px 15px;
    box-shadow: 0 0.25rem 0.35rem -0.25rem rgba(0, 0, 0, 0.1);
}

.mainpage-header {
    display: flex;
    margin: 2.6em 1.75em 1.5em;
}

.mainpage-header .header-intro {
    flex: 2;
}

.mainpage-header .header-intro h1 {
    font-size: 2.5em;
    font-weight: bold;
    border: none;
    margin: 0 0 0.15em;
}

.mainpage-header .header-intro p {
    font-size: 1.1em;
    line-height: 1.7em;
}

.mainpage-header .header-stats {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: -1em;
}

.mainpage-header .header-stats ul {
    list-style: none;
}